/*
Theme Name: CNM child
Theme URI: https://www.mhthemes.com/themes/mh/edition-lite/
Description: Child theme for the MH Edition lite theme
Author: DIFFERENT.VISION
Author URI: https://different.vision
Template: mh-edition-lite
Version: 3.1.5
*/



/* reklamy */
.distributor:not(#dist_branding) {
    max-width: 100%;
    margin: 1.875rem auto;
}

.distributor:not(#dist_single99) * {
    text-align: center !important;
    margin: 0 auto !important;
    padding: 0 !important;
}

.wp-preview .distributor:not(#dist_branding):not(.disabled) {
    min-height: 150px;
    background: gray;
}

.entry-content .carodaContainer {
    max-width: 100%;
    /* margin-top: 1.875rem; */
    margin-bottom: 1.875rem;
}

.entry-content .teads-inboard, .entry-content .teads-inread {
    max-width: 100% !important;
    margin: 1.875rem auto !important;
}

@media screen and (min-width: 768px) {
    #dist_halfpage:not(.disabled) {
        position: -webkit-sticky;
        position: sticky;
        top: 131px;
    }
    
    .admin-bar #dist_halfpage:not(.disabled) {
        top: 163px;
    }
    
    .mh-sidebar {
        min-height: 1000px;
    }
}

@media screen and (max-width: 767px) {
    .dist_single, .entry-content .carodaContainer, .entry-content .teads-inboard, .entry-content .teads-inread {
        max-width: calc(100% + 40px) !important;
        margin-left: -20px !important;
        margin-right: -20px !important;
    }

    #dist_single99 * {
        text-align: center !important;
        margin: 0 auto !important;
        padding: 0 !important;
    }
}

/*
#ssp-branding {
    position: fixed;
    top: 51px;
    left: 50%;
    transform: translateX(-50%);
    margin: 0 auto;
}

#ssp-branding.adFull {
    width: 2000px;
    height: 1400px;
}

#ssp-branding.adFull ~ .mh-container {
    margin-top: 226px;
}

#ssp-branding.adFull ~ .mh-container > #rekl_leaderboard {
    display: none;
}

#rekl_halfpagead.sticky-element-original.adFull .sssp-posCont {
    position: static !important;
    height: 600px !important;
}
*/
/* ### */



/* odkazy */
a {
    transition: all 0.25s ease-in-out;
}
/* ### */



/* šířka webu */
.mh-container-outer {
    margin: 135px auto 15px; /* top: 101px + 1.875rem */
    padding: 0 30px 30px;
}

.mh-wrapper {
    padding: 0;
}

.mh-content, .mh-right-sb #main-content {
    width: 100%;
    max-width: 710px;
    width: calc(100% - 330px);
    margin-right: 0;
}

.mh-sidebar {
    width: 300px;
    margin-left: 30px;
}

.mh-container, .mh-container-inner {
    max-width: 1040px !important;
}

@media screen and (max-width: 1220px) {
    .mh-container-outer {
        padding: 0 2.5% 2.5%;
    }
}

@media screen and (max-width: 767px) {
    .mh-container, .mh-container-outer {
        width: 100%;
        margin: 0 auto;
        padding: 0;
    }

    .mh-content, .mh-right-sb #main-content, .mh-sidebar {
        width: 100%;
        max-width: 100%;
        margin: 1.875rem 0 0;
    }

    body.single .mh-content, body.single.mh-right-sb #main-content, .top-entry {
        width: calc(100% - 40px);
        padding: 0 20px;
    }
}
/* ### */



/* menu */
#header-top {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 99998;
    -webkit-box-shadow: 0 1px 15px 0 rgba(0,0,0,0.1);
    -moz-box-shadow: 0 1px 15px 0 rgba(0,0,0,0.1);
    box-shadow: 0 1px 15px 0 rgba(0,0,0,0.1);
}

.admin-bar #header-top {
    top: 32px;
}

.page-overlay {
    height: 0%;
    width: 100%;
    position: fixed;
    z-index: 100;
    left: 0;
    top: 0;
    overflow-y: hidden;
    transition: 0.5s;
}

.page-overlay a {
    text-decoration: none;
    display: block;
    transition: 0.3s;
}

.page-overlay-top {
    position: relative;
    width: 100%;
    max-width: 1060px;
    margin: 0 auto;
    font-size: 36px;
    padding: 8px;
}

.menu-control {
    color: #2a2a2a;
}

.menu-control.openbtn {
    float: right;
    margin: 25px 0;
    padding: 10px;
    font-size: 28px !important;
    line-height: 0.8;
}

.menu-control.closebtn {
    position: absolute;
    top: 20px;
    right: 5px;
    font-size: 60px !important;
    line-height: 1;
}

#menu-top {
    margin: 0 auto;
    width: 100%;
    max-width: 1060px;
    height: 101px;
    overflow: hidden;
}

.menu-content, .search-content {
    position: relative;
    top: 15%;
    width: 100%;
    max-width: 600px;
    text-align: center;
    margin: 30px auto;
}

.mh-main-nav {
    background: none;
}

.mh-main-nav a {
    font-size: 28px;
    padding: 0.6em !important;
}

.mh-main-nav li {
    float: none;
    font-weight: 500;
    border: none;
}

.mh-main-nav .sub-menu {
    right: 0;
}

.mh-main-nav .sub-menu a {
    font-size: 1em;
    padding: 0.8em !important;
}

.desktop-home {
    display: block;
    position: relative;
    float: left;
    max-width: 30%;
    margin: 25px 5px 10px 5px;
    padding: 5px;
    color: #000;
}

.desktop-home.svg:after, .mobile-home.svg:after {
    content: ""; 
    position: absolute; 
    top: 0; 
    right: 0; 
    bottom: 0; 
    left: 0;
}

.desktop-home img, .desktop-home.svg object {
    width: auto;
    max-width: 250px;
    height: 40px;
}

#top-nav {
    float: right;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    margin-top: 38px;
}

#top-nav li {
    display: inline-block;
    font-size: 16px;
    font-weight: 700;
    padding: 0 0 0 1em;
}

#top-nav li:last-child {
    padding-right: 1em;
}

.page-overlay .search-form {
    border-bottom-width: 2px;
    border-bottom-style: solid;
}

.page-overlay .search-field {
    width: 100%;
    border: 0;
    border-radius: 0;
    background: transparent;
    color: #2a2a2a;
    font-size: 2.25rem;
    line-height: 3.125rem;
    text-transform: none;
    outline: none;
    -webkit-appearance: none;
}

@media screen and (max-width: 1060px) {
    #top-nav li {
        font-size: 12px;
        padding-top: 16px;
    }
}

@media screen and (max-width: 900px) {
    #top-nav {
        display: none;
    }
}

@media screen and (max-width: 782px) {
    .admin-bar #header-top {
        top: 46px;
    }
}

@media screen and (max-height: 800px) {
    .mh-main-nav a {
        font-size: 20px;
    }
    .mh-main-nav .sub-menu a {
        padding: 0.5em !important;
    }
}

@media screen and (max-height: 600px) {
    .mh-main-nav a {
        font-size: 18px;
        padding: 0.5em !important;
    }
}



.mh-header-mobile-nav {
    position: relative;
    width: 100%;
    min-height: 60px;
    display: none;
}

.slicknav_menu {
    display: block;
    background: #fff;
}

.slicknav_btn {
    margin: 4.2vw 2.5vw;
    padding: 10px;
    background: none;
}

.slicknav_menutxt {
    display: none !important;
}

.slicknav_icon {
    font-size: 25px;
    margin: 0 !important;
}

.slicknav_item:hover > a {
    color: #fff;
}

.mobile-home {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    max-width: 70%;
    margin: 2.2vw;
    padding: 10px;
    color: #fff;
}

.mobile-home img {
    width: auto;
    max-height: 35px;
    filter: brightness(0) invert(1);
}

.mobile-home.svg object {
    width: 100%;
    height: auto;
    max-height: 35px;
}

@media screen and (max-width: 767px) {
    #menu-top {
        display: none;
    }

    .mh-header-mobile-nav {
        display: block;
    }
}
/* ### */



/* HP, category, author */
.entry-header, .page-header {
    margin-bottom: 1.875rem !important;
}

.page-title {
    font-weight: 700;
}

.mh-loop-item {
    position: relative;
    padding-bottom: 0;
}

.mh-loop-thumb {
    margin-right: 20px;
    padding: 0;
    position: relative;
    display: block;
}

.mh-loop-thumb:after {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    border-bottom-style: solid;
    border-bottom-width: 0;
    opacity: 0.9;
    transition: border 0.3s;
}

.article-link:hover .mh-loop-thumb:after {
    border-bottom-width: 10px;
}

.mh-loop-thumb img {
    max-width: 340px;
}

.mh-loop-content {
    padding: 10px 10px 0 10px;
}

.mh-loop-title {
    font-size: 1.6rem;
    font-weight: 700;
}

.article-link:hover .mh-loop-title {
    color: #2a2a2a;
    text-decoration: underline;
}

.mh-excerpt-more {
    margin-top: 20px;
    margin-bottom: 10px;
}

.mh-sidebar {
    text-align: center;
}

.mh-sidebar .mh-widget {
    margin-bottom: 1.875rem;
}

#stop-scroll {
    width: 100%;
    height: 30px;
}

@media screen and (min-width: 1081px) {
    .mh-loop-header {
        min-height: 100px;
    }
    
    .mh-excerpt-more.right-bottom {
        position: absolute;
        right: 10px;
        bottom: 10px;
        margin: 0;
    }
}

@media screen and (max-width: 1080px) {
    .mh-loop-item {
        padding: 0;
    }

    .mh-loop-thumb {
        margin-right: 0;
    }

    .mh-loop-thumb img {
        max-width: 100%;
    }

    .mh-loop-content {
        padding: 5px 20px 10px;
    }

    .mh-excerpt-more {
        margin-top: 0;
        margin-bottom: 20px;
    }
}

@media screen and (max-width: 900px) {
    .mh-loop-item {
        padding: 0;
    }
}

@media screen and (max-width: 767px) {
    .mh-loop-item {
        margin-bottom: 1.875rem;
    }
}

@media screen and (max-width: 420px) {
    .mh-loop-content {
        padding: 20px 20px 5px;
    }
}
/* ### */



/* článek - single */
.entry-title {
    color: #000;
    font-weight: 700;
}

.entry-title.hidden {
    display: none;
}

.entry-breadcrumb {
    margin: 0 0 1.25rem;
}

.entry-breadcrumb .fa {
    margin-right: 0;
}

.entry-breadcrumb.mh-meta span {
    margin-right: 0;
}

.entry-breadcrumb a, .entry-breadcrumb .breadcrumb_last {
    font-weight: 400 !important;
    margin: 0 0.25rem;
}

.entry-meta-comments {
    float: right;
    margin-right: 0 !important;
}

.entry-tags {
    margin-top: 1.875rem;
    margin-bottom: 0;
}

.entry-keywords {
    color: #979797;
    font-weight: 700;
    text-transform: uppercase;
    margin-top: 0.9375rem;
    padding: 0 0.9375rem;
}

.entry-keywords a:hover {
    color: #2a2a2a;
}

.entry-content, .entry-content h1, .entry-content h2, .entry-content h3, .entry-content h4, .entry-content h5, .entry-content h6 {
    color: #000;
}

.entry-content h2, .entry-content h3 {
    margin-top: 4rem;
}

.entry-content p, .entry-content li {
    line-height: 2;
}

.entry-content ul, .entry-content ol {
    margin-bottom: 1.875rem;
}

body.single .entry-content a:hover {
    color: #2a2a2a;
    text-decoration: underline;
}

.single-bottom-left {
    float: left;
}

.single-bottom-right {
    float: right;
}

.single-bottom-right .mh-excerpt-more {
    margin: 0;
}

.single-bottom-right .mh-excerpt-more:hover {
    color: #fff !important;
}

.single-bottom-right .mh-excerpt-more .fa {
    font-weight: 900;
    margin-right: 5px;
}

.mh-content .mh-promoted-posts {
    margin-bottom: 0;
}

@media screen and (max-width: 767px) {
    .entry-breadcrumb {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        text-align: left !important;
    }

    .entry-breadcrumb .fa {
        margin-right: 5px;
    }

    .entry-breadcrumb.mh-meta span {
        margin-bottom: 0;
        padding: 0;
    }

    .entry-breadcrumb > span > span > a {
        display: none;
    }

    .entry-thumbnail, .mh-content .wp-embedded-content {
        max-width: calc(100% + 40px) !important;
        margin-left: -20px;
        margin-right: -20px;
    }

    .entry-meta {
        padding: 10px 0;
        text-align: center;
    }

    .entry-meta span {
        display: inline;
        padding: 0 10px;
        background: transparent;
    }

    .entry-meta .entry-meta-comments {
        display: none;
    }

    .entry-keywords {
        padding: 0;
    }

    .entry-content h2, .entry-content h3 {
        margin-top: 3rem;
    }

    .single-bottom-left, .single-bottom-right {
        float: none;
        text-align: center;
    }
    
    .single-bottom-left .kk-star-ratings {
        justify-content: center;
    }

    .single-bottom-right .mh-excerpt-more {
        max-width: 100%;
        text-align: center;
        margin: 1.25rem 0 1.85rem;
    }
}
@media screen and (max-width: 600px) {
    .entry-content .alignleft, .entry-content .alignright {
        float: none;
    }
}
@media screen and (max-width: 420px) {
    .entry-meta-date.updated {
        display: block;
    }
}
/* ### */



/* sidebar / widgety */
.mh-sidebar > *:first-child {
    margin-top: 0 !important;
}

.mh-sidebar > *:last-child {
    margin-bottom: 0 !important;
}

.mh-widget-title {
    margin-bottom: 0;
}

.mh-custom-posts-content {
    padding: 15px;
}

.mh-custom-posts-thumb-xl a {
    position: relative;
    display: block;
}

.mh-custom-posts-thumb-xl a:after {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    border-bottom-style: solid;
    border-bottom-width: 0;
    opacity: 0.9;
    transition: border 0.3s;
}

.mh-custom-posts-thumb-xl a:hover:after {
    border-bottom-width: 10px;
}

.mh-custom-posts-xl-title {
    font-weight: 700;
    margin-bottom: 0;
}

.mh-custom-posts-xl-title a:hover {
    color: #2a2a2a;
    text-decoration: underline;
}

.mh-custom-posts-meta {
    display: none;
}

.mh-custom-posts-widget .mh-excerpt-more {
    display: none;
}

@media screen and (min-width: 768px) {
    .mh-promoted-posts .mh-custom-posts-item {
        display: inline-block;
        width: 48.5%;
    }

    .mh-promoted-posts .mh-custom-posts-item:first-of-type {
        margin-right: 2%;
    }

    .mh-promoted-posts .mh-custom-posts-thumb-xl {
        float: none;
        width: 100%;
        max-width: 100%;
        margin: 0 0 20px 0;
        padding: 0;
    }

    .mh-promoted-posts .mh-custom-posts-thumb-xl img {
        max-width: 100%;
    }

    .mh-promoted-posts .mh-custom-posts-xl-title {
        min-height: 4em;
    }
}

@media screen and (max-width: 767px) {
    .mh-promoted-posts .mh-custom-posts-item:first-of-type {
        margin-bottom: 20px;
    }

    .mh-promoted-posts .mh-custom-posts-large-inner {
        padding: 20px;
    }

    .mh-promoted-posts .mh-custom-posts-thumb-xl {
        padding: 0;
    }

    .mh-promoted-posts .mh-custom-posts-thumb-xl img {
        max-width: 100%;
    }
}
/* ### */



/* patička */
.mh-copyright-wrap {
    width: 100%;
    border: none;
    -webkit-box-shadow: 0 1px 15px 0 rgba(0,0,0,0.1);
    -moz-box-shadow: 0 1px 15px 0 rgba(0,0,0,0.1);
    box-shadow: 0 1px 15px 0 rgba(0,0,0,0.1);
}

.mh-copyright-wrap .clearfix::after {
    content: none;
}

.mh-copyright {
    padding: 20px 10px;
    padding-top: 1.25rem;
    padding-bottom: 1.25rem;
}
/* ### */



/* hodnoceni redakce - legacy */
.rating_0, .rating_1, .rating_2, .rating_3, .rating_4, .rating_5, .rating_6, .rating_7, .rating_8, .rating_9, .rating_10  {
    width: 85px;
    height: 17px;
    background: url(images/stars.png) 0 0 no-repeat;
    display: inline-block;
}

.rating_1 { background-position: 0 -18px; }
.rating_2 { background-position: 0 -36px; }
.rating_3 { background-position: 0 -54px; }
.rating_4 { background-position: 0 -72px; }
.rating_5 { background-position: 0 -90px; }
.rating_6 { background-position: 0 -108px; }
.rating_7 { background-position: 0 -126px; }
.rating_8 { background-position: 0 -144px; }
.rating_9 { background-position: 0 -162px; }
.rating_10 { background-position: 0 -180px; }

.hodnoceni-redakce  {
    text-align: right;
    padding-bottom: 10px;
}
/* ### */
